Subject: Re: [PATCH v3 2/4] generate-cmdlist.sh: parse common command groups

From: Sébastien Guimmara <[email-masked]>
Date: Sun, 03 May 2015 22:53:15 +0200

On 05/03/2015 10:40 PM, Eric Sunshine wrote:
>> These people may have helped you to polish your earlier round to
>> come up with this version, but I do not think they should be listed
>> as reviewed-by (in the sense that they would say "Yes, I read this
>> version and consider it very good--I endorse the change!") yet.
>
> Minor addendum: If you'd like to acknowledge Luke for $(...) and
> Andreas for IFS munging, then Helped-by: would be appropriate (and
> doesn't require their consent).

Thanks for the precision, I got confused with this one.

> So, something like this, perhaps:
>
>      [groups]
>      init    starting a working area
>      info    examining history and state
>      ...
>      branching    branching and merging histories
>
>      [commands]
>      git-branch    mainporcelain branching
>      ...
>      git-clone    mainporcelain init
>      ...
>
> This way, the 'N' in "N_group" is unnecessary since presentation order
> is implied by the [groups] table, and you don't need the "common-"
> prefix anymore since any command having an attribute from the [groups]
> table is automatically considered common.
>

It's a good idea. I'll look into it.